Thread Status:
Not open for further replies.
  1. Mughisi

    Mughisi Grenade Master Community Mod Oxide Developer

    You'll most likely have to open a ticket with them to either give you access to the required folder or to install it for you.
     
  2. Ferum

    Ferum Naked Wanderer

    if the new oxide supports Lua why should not work plug-ins from 1.18 I can not understand
     
  3. mvrb

    mvrb Shack Builder Plugin Developer

    I believe all hooks/function names are different. It's two different mods/versions even though it's the same game.
     
  4. Mughisi

    Mughisi Grenade Master Community Mod Oxide Developer

    The hooks themselves aren't the biggest change, basically the way the plugin 'engine' works changed completely. Allowing us to do more with plugins and also support the different plugin languages supported by Oxide. Oxide 1.18 also required a oxidecore.lua file which handled part of the actual core for 1.18.
    Some hooks remained the same but a couple of hooks were changed a bit and even new hooks were added to allow people to do even more incredible things with plugins. All these hooks have been documented in the docs.
     
    mvrb likes this.
  5. mvrb

    mvrb Shack Builder Plugin Developer

    Just in case anyone else has the same problem as me: I opened a ticket and they are currently installing Oxide 2.0 on my server.
     
  6. Ferum

    Ferum Naked Wanderer

    if the new oxide supports Lua why should not work plug-ins from 1.18 I can not understand
     
  7. Reneb

    Reneb Grenade Master Plugin Developer

    Because all data management, config management, hooks called from ingame changed.
    So yeah transfering from oxide 1.18 to 2.0 is globally easy, but it needs to be transfered.
    And plugins in c# are better as they are faster and Will give way less lags.
     
  8. PreFiX

    PreFiX Shack Builder Plugin Developer

    Nice, I can't believe such release. Thank you guys!
     
  9. Ferum

    Ferum Naked Wanderer

    it's not about that # is faster or slower, but the fact that the oxide 2 supports Lua?
     
  10. PreFiX

    PreFiX Shack Builder Plugin Developer

    If u use .lua not .cs I don't think it will be faster
     
  11. Ferum

    Ferum Naked Wanderer

    where does it? the question was: support oxide 2 Lua?
     
  12. mvrb

    mvrb Shack Builder Plugin Developer

    From OP:

    New plugin languages - plugins can now be written in C#/CSharp, Lua, JavaScript, or Python! While C# will be the fastest as it's essentially native code, you're free to write in your language of choice!
     
  13. thomas-devries

    thomas-devries Scavenger

    To bad there is not an tutorial or an reference to what objects/names we need to use with the new oxide. I tried to implant an small .lua file that i had made with version 1.18 but i cant seem to update it to 2.0 without the full names of the objects. However i find it nice that its updated to 2.0.
     
  14. PreFiX

    PreFiX Shack Builder Plugin Developer

    http://docs.oxidemod.org/
    http://oxidemod.org/plugins/rustlegacy/

    People learn from examples too.
    If you something isn't going well you can ask on http://oxidemod.org/forums/legacy-development.12/
     
  15. Besniper

    Besniper Naked Wanderer

    Does anyone know why I would be getting an AV detection when attempting to download the files for oxide 2.0?

    It is picking up: Conficker.gen (Worm)

    Any thoughts?
     
  16. Wulf

    Wulf Community Admin Community Admin Oxide Developer

    It's either "false positive", where your security software thinks it's something that it isn't, or your computer is infected and infecting it.
     
  17. seanterris

    seanterris Wood Hoarder

    Can you say which AV are you using? I rarely see anyone using anything that is not included in VirusTotal scans.
    As of moment ago all 57 of 57 VirustTotal AVs deem the latest version of oxide for legacy clean https://www.virustotal.com/en/file/...fe5ee40bee963cf5dbf9f018/analysis/1431097801/

    Your computer or other computer on your network might be infected with malware, which tries to infect files inside Oxide .zip archives.

    Try downloading this instead
    https://filetea.me/t1sqayaxvsUTcStGcZxO1CmBA

    I will keep it up for couple of hours. It's the same exact file, difference is here you download it by httpS (encrypted connection). If you get the warning again, you have a virus on your machine. If there is no virus detected, it means something between you and the internet is hijacking and modifying your connections (probably also stealing stuff like passwords and personal data). It could also mean DNS hijack on your own computer.

    Do not ignore the Conficker. It's an old piece of evil but it's still evil, and can render PCs unusable (especially if anyone on your network uses anything older than win7, ESPECIALLY if their version is "enhanced" genuine).
     
    Wulf likes this.
  18. Cerber0s

    Cerber0s Wood Hoarder

    Build 885
    Code (Text):
    -    Oxide.Ext.CSharp/Dependencies/mono-2.0.dll \
    +    Oxide.Ext.CSharp/Dependencies/monosgen-2.0.dll \
    When connected:
    Auth failed: Steam auth timed out

    When build 879 working.
     
  19. Wulf

    Wulf Community Admin Community Admin Oxide Developer

    The latest version on the Downloads page works fine, build 2.0.886. I am connected to my server with it right now.
     
  20. Cerber0s

    Cerber0s Wood Hoarder

Thread Status:
Not open for further replies.